url: https://github.com/AsgardCms/Platform
versions:
    "3.6.1":
        changed:
            - Fixed routing issues with localization introduced in 3.6.0
    "3.6.0":
        added:
            - New Hungarian translations
            - new <code>i18nFile</code> & <code>normalFile</code> macros
        changed:
            - Updating Dutch translations
            - Fix Carbon locale
            - Fixed how the admin url is parsed by reading the <code>path</code> instead of <code>url</code>
    "3.5.3":
        changed:
            - Updating Polish translations
            - Updating Spanish  translations
    "3.5.2":
        changed:
            - Correctly returning the Query object from <code>allWithBuilder</code> method in base repository
            - Using font awesome cdn instead of local styles
    "3.5.1":
        changed:
            - Whitespace in `config/filesystems.php` causing issues on some configurations, hooray.
    "3.4.0":
        changed:
            - Define the warning callback on the SetAppKey
            - Cleaner <code>BaseCacheDecorator</code> class with a new <code>remember</code> function
            - Checking if the tags() method exists when flushing
            - Fixing bug where user profile tab was not showing
    "3.3.0":
        changed:
            - Updating vue-simple-mde to avoid 'marked' warning with vuejs 2.5
            - Updating to element-ui 2.0 (<code>npm update</code> and <code>npm run dev</code> are required)
    "3.2.1":
        changed:
            - Updated to VueJS 2.5. Updated all components for 2.5 compatibility.
    "3.2.0":
        added:
            - New <code>LoadingBackendTranslations</code> hook to load translations to the frontend (vuejs)
        changed:
            - Use blade directive in Core module views
            - Renaming Indonesian locale key to `ind` from `id` in <code>available-locales.php</code> config file.
    "3.1.0":
        added:
            - Carbon format set globally in <code>AppServiceProvider</code>
            - Creating a string helpers mixing file
            - Add additional install script to prompt for APP_URL
            - New install script to un ignore the <code>package-lock.json</code> file from npm
        changed:
            - Registering the TranslationHelper mixin globally to access it from anywhere
            - CkEditor and SimpleMde hooks set a view variable containing their name
            - Refactoring the .env local file writer
            - Tell users about the -f force flag for the asgard installer
            - Update the message displayed while the admin user is created.
            - Fixed issue when <code>hideDefaultLocaleInURL</code> was set to true making VueJS routes not working
            - Removed default loading of unneeded assets
            - Getting pdo object, making sure the database connection is valid
            - Installation, set the application key ourself, based of laravel command
            - Installation, only display success message for app_url on --verbose flag
            - Updated <code>config/breadcasting.php</code> pusher config to match laravel upstream
            - Removing optional modules (blog, block, notification) from core module list
    "3.0.0":
        added:
            - Created a vue component for the delete buttons on index pages
            - Created a vue component for CkEditor
            - Created vue component to more easily translate laravel translations
        changed:
            - Replacing URL::route() by route() helper
            - Updated menu ordering in Content section. Leaving spots in between for custom modules.
            - Update menu ordering in Workshop section. Leaving spots in between for custom modules.
            - Handle unauthorized and unauthenticated responses on Axios
            - <code>Authorization</code> middleware now throws a 403 FORBIDDEN response instead of 401 to match HTTP spec.
            - <code>AdminMiddleware</code> can now handle ajax requests
    "2.6.1":
        changed:
            - Fixing installation having 2x port in <code>.env</code>
    "2.6.0":
        added:
            - Added an <code>AsgardCms</code> class containing the current cms version
    "2.5.2":
        changed:
            - Fixing CLI issue not having the translation repository bound
    "2.5.1":
        changed:
            - Add missing <code>id</code> attribute to editor's textarea
    "2.5.0":
        added:
            - Adding a <code>EntityIsChanging</code> interface to use on events which are triggered before a create / update action
            - Create an <code>AbstractEntityHook</code> containing base logic for entity hooks
            - Trigger the <code>EditorIsRendering</code> event on assets view composer and send editor variable to view
            - New configuration value <code>wysiwyg-handler</code> in <code>config/asgard/core/core.php</code> to change the editor in backend
            - New handler <code>RenderMarkdown</code> if you want to render markdown on a <code>ContentIsRendering</code> event
            - New <code>@editor('fieldname', 'fieldlabel, 'content', 'locale')</code> blade directive to include a textarea. The last <code>locale</code> parameter is optional and can be omitted for non translatable textarea.
            - New <code>BuildingSidebar</code> hook used to add sidebar elements (backend) this will replace the <code>SidebarExtender</code> classes
            - Creating helper trait <code>CanGetSidebarClassForModule</code>, to get the sidebar class for a module
            - Adding Docker support. Run `./dcp up` to get started.
        changed:
            - Adding more core modules (tag, translation and page). Preventing them to be disabled.
            - Splitting up the <code>EditorIsRendering</code> hook to its own view composer, avoiding binding the (expensive) <code>AssetsViewComposer</code> on every view & partial
            - Stop making DB queries on console mode
    "2.3.0":
        added:
            - New command <code>php artisan asgard:download:module asgardcms/contact --migrations --seeds --assets</code>
            - New command <code>php artisan asgard:delete:module ModuleName --migrations</code>
    "2.2.0":
        added:
            - Binding as a singleton in an asgard key if we're on the backend or not. Available as <code>app('asgard.onBackend')</code>
    "2.0.0":
        added:
            - Laravel 5.4 compatibility
            - <code>CanPublishConfiguration</code> helper trait
            - <code>CanRequireAssets</code> helper trait
            - added new <code>auth->user()</code> method to get the current user.
            - run the user module migrations on installation
            - user installer creates a first api token
            - Adding minimised sitename setting viewed via minimised sidebar
            - Added ability for modules to define a custom sidebar class for every module
            - Adding configuration to set a custom ckeditor config file
        changed:
            - Using new more flexible way of handle permissions via middleware
            - Public configuration files in a subfolder of config/ folder
            - <code>auth->check</code> now returns a boolean.
            - Don't load the application version on frontend theme (+ performance)
            - Rename <code>MasterViewComposer</code> to <code>SiteNameViewComposer</code> to match its intent
            - Loading the currently logged in user on every view
            - Form Macros - Use HtmlString to allow users to use normal Blade "echo" braces
        removed:
            - Removing laracasts/flash dependency
            - Removed depenency of unmaintained pingpong/modules in favor of nwidart/laravel-modules
            - <code>Authentication</code> contract has been moved to the User module
            - <code>Setting</code> contract has been moved to the Setting module
            - Removed sisyphus usage
